MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
GluePcmResampler Class Reference

A glue class that integrates a PcmResampler and automatically converts source data to the sample format required by the PcmResampler instance. More...

`#include <GlueResampler.hxx>`

## Public Member Functions
| GluePcmResampler ()
| ~GluePcmResampler ()
void | Open (AudioFormat src_format, unsigned new_sample_rate)
void | Close ()
SampleFormat | GetOutputSampleFormat () const
void | Reset ()
ConstBuffer< void > | Resample (ConstBuffer< void > src)

## Detailed Description

A glue class that integrates a PcmResampler and automatically converts source data to the sample format required by the PcmResampler instance.

Definition at line 35 of file GlueResampler.hxx.

## Constructor & Destructor Documentation

GluePcmResampler::GluePcmResampler | ( |  | ) |

GluePcmResampler::~GluePcmResampler | ( |  | ) |

## Member Function Documentation

void GluePcmResampler::Close | ( |  | ) |

SampleFormat GluePcmResampler::GetOutputSampleFormat | ( |  | ) | const
| inline

Definition at line 54 of file GlueResampler.hxx.

void GluePcmResampler::Open | ( | AudioFormat | src_format,
|  | unsigned | new_sample_rate
| ) |  |

ConstBuffer<void> GluePcmResampler::Resample | ( | ConstBuffer< void > | src | ) |

void GluePcmResampler::Reset | ( |  | ) |

See also
  PcmResampler::Reset()

The documentation for this class was generated from the following file:

- pcm/GlueResampler.hxx